/**
 * DeployAPIProvider
 * Provide CE Deploy Backend API
 */
import React from "react";
import { createContext } from "react";
import { APIProvider } from "@ess-ics/ce-ui-common";
import { node, arrayOf, oneOfType } from "prop-types";

const propTypes = {
  /** Elements used as children */
  children: oneOfType([
    /** Array of elements. */
    arrayOf(node),
    /** One or more elements without array. */
    node
  ])
};

export const apiContext = createContext(null);

const apiOptions = {
  url: `${window.API_BASE_ENDPOINT}`,
  server: `${window.SERVER_ADDRESS}`
};

export function DeployAPIProvider({ children }) {
  return (
    <APIProvider
      context={apiContext}
      options={apiOptions}
    >
      {children}
    </APIProvider>
  );
}

DeployAPIProvider.propTypes = propTypes;
