import { useContext, useCallback } from "react";
import { useRenewToken } from "../../../api/SwaggerApi";
import { userContext } from "@ess-ics/ce-ui-common";
import { useSafePolling } from "../../../hooks/Polling";

export default function TokenRenew() {
  const { user } = useContext(userContext);
  const [renewToken, loading] = useRenewToken();

  const renewTokenWhenLoggedIn = useCallback(() => {
    if (user) {
      renewToken();
    }
  }, [user, renewToken]);

  useSafePolling(renewTokenWhenLoggedIn, loading, window.TOKEN_RENEW_INTERVAL);

  return null;
}
